%define upstream_name    Object-ID
%define upstream_version v0.1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Supply a unique object identifier to every object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Hash::FieldHash) >= 0.100.0
BuildRequires: perl(Module::Build) >= 0.340.201
BuildRequires: perl(Sub::Name) >= 0.30.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

# Don't provide perl(UNIVERSAL)
%{?perl_default_filter}


%description
This is a unique identifier for any object, regardless of its type,
structure or contents. Its features are:

    * Works on ANY object of any type
    * Does not modify the object in any way
    * Does not change with the object's contents
    * Is O(1) to calculate (ie. doesn't matter how big the object is)
    * The id is unique for the life of the process
    * The id is always a true value

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.1.2-9pclos2017
- rebuild against updates

